List Tickets
curl --request GET \
--url https://api.example.com/api/v1/customer/tickets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/customer/tickets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/customer/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"ticketId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"orderId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b",
"cooperativeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b",
"cooperative": {
"cooperativeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organization": {
"document": "45.723.174/0001-10",
"documentType": "CNPJ",
"name": "Cooperativa Metropolitana",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"type": "COOPERATIVE",
"email": "contato@estrela.com",
"legalName": "Cooperativa Metropolitana de Transporte Ltda.",
"logo": "organizations/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/logo/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"tradeName": "Metropolitana"
}
},
"transportOperatorId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b",
"transportOperator": {
"document": "12345678000190",
"documentType": "CNPJ",
"legalName": "Joao Silva Transportes Ltda",
"transportOperatorId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"tradeName": "Silva Transportes"
},
"tripId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
"tripItineraryId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3d",
"seatId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3e",
"seatTypeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3f",
"passengerId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f40",
"seatPrice": 5000,
"tripItineraryPrice": 3000,
"baseAmount": 8000,
"benefitDiscountAmount": 0,
"discountAmount": 0,
"creditAmount": 0,
"paidAmount": 8000,
"price": 8000,
"qrCode": "TKT-20260412-A1B2C3",
"code": "BIL-A1B2C3",
"snapshot": {
"trip": {
"departureAt": "2026-04-15T10:00:00.000Z",
"estimatedArrivalAt": "2026-04-15T18:00:00.000Z"
},
"itinerary": {
"fromStop": {
"name": "Terminal Tietê",
"stopOrder": 1,
"arrivalAt": "2026-04-15T10:00:00.000Z",
"departureAt": "2026-04-15T10:15:00.000Z"
},
"toStop": {
"name": "Terminal Tietê",
"stopOrder": 1,
"arrivalAt": "2026-04-15T10:00:00.000Z",
"departureAt": "2026-04-15T10:15:00.000Z"
}
},
"seat": {
"label": "5A",
"floor": "FIRST",
"row": 5,
"column": "A",
"side": "LEFT"
},
"seatType": {
"name": "Convencional",
"color": "#3b82f6"
},
"passenger": {
"name": "Maria Silva",
"document": "36641876870",
"documentType": "CPF",
"birthDate": "1990-01-01"
}
},
"status": "VALID",
"trip": {
"status": "SCHEDULED",
"tripId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"departureAt": "2023-11-07T05:31:56Z",
"estimatedArrivalAt": "2023-11-07T05:31:56Z"
},
"issuedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"passengerBenefitRequestId": null,
"benefitDocumentValidationId": null,
"createdBy": null,
"updatedBy": null,
"boardedAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"limit": 10,
"page": 1,
"totalItems": 100,
"totalPages": 10
}
}{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}{
"message": "Missing or invalid access token",
"statusCode": 401
}{
"message": "Internal Server Error",
"statusCode": 500
}Ticket
List Tickets
Lists tickets.
GET
/
api
/
v1
/
customer
/
tickets
List Tickets
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Items per page
Example:
10
Page number
Example:
1
Order identifier
Example:
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b"
Trip identifier
Example:
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c"
Ticket status
Available options:
VALID, CANCELLED Example:
"VALID"
Issue date range
Example:
">=2024-01-01;<=2024-12-31"
Field to sort by
Available options:
createdAt, issuedAt Example:
"issuedAt"
Sort order
Available options:
asc, desc Example:
"desc"
Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.